package com.xinyilu.common.enums;

import lombok.Getter;

/**
 * @author ZH
 * @Description 项目编号枚举
 * @date 2023-08-8
 */
@Getter
public enum TestItemCategoryEnum {

    /**
     * 核心素质
     */
    CORE_CODE("核心素质"),

    /**
     * 灵敏素质
     */
    AGILITY_CODE("灵敏素质"),

    /**
     * 柔韧素质
     */
    FLEXIBILITY_CODE("柔韧素质"),

    /**
     * 平衡素质
     */
    BALANCED_QUALITY_CODE("平衡素质"),

    /**
     * 上肢素质
     */
    UPPER_LIMB_FITNESS_CODE("上肢素质"),

    /**
     * 下肢素质
     */
    LOWER_LIMB_FITNESS_CODE("下肢素质"),

    /**
     * 协调素质
     */
    COORDINATION_QUALITY_CODE("协调素质"),

    /**
     * 爆发素质
     */
    EXPLOSIVE_QUALITY_CODE("爆发素质"),

    /**
     * 位移运动
     */
    CONTROL_MOTION_CODE("位移运动"),

    /**
     * 身体形态
     */
    BODY_SHAPE_CODE("身体形态"),

    /**
     * 物体控制运动
     */
    DISPLACEMENT_MOTION_CODE("物体控制运动"),

    /**
     * 国民体质测定
     */
    NATIONAL_PHYSIQUE_CODE("国民体质测定"),

    /**
     * T运动测试
     */
    T_EXERCISE_TESTING_CODE("T运动测试"),
    ;
    final private String info;

    TestItemCategoryEnum(String info) {
        this.info = info;
    }
}
